<!DOCTYPE HTML>
<html>
   <head>
		 <title>Princess Pi's Websockets Interface!</title>
		  <link rel="stylesheet" href="style.css">
			<script src="shortcuts.js"></script>
      <script>
         function asynchfriendship()
         {
            if ("WebSocket" in window)
            {  
							var host = $("host").value;
							var port = $("port").value;
							var dir = $("dir").value;
							var firstmessage = $("firstmessage").value;
							
							//find new friends address
							var server = "ws://"+host+":"+port+dir;
               // make new friend
               var ws = new WebSocket("ws://"+host+":"+port+dir);
							if(ws) { $("out").innerHTML+="Friendship with "+server+" successful!! Princess Pi is proud of you!"; }
							else { alert("Didn't work! "+server); }
               ws.onopen = function()
               {
                  // Speak to your new friend!
                  ws.send(firstmessage);
                  alert("Message is sent...");
               };
				
               ws.onmessage = function (evt) 
               { 
                  var received = evt.data;
                  $("out").innerHTML = "Received: "+received;
               };
				
               ws.onclose = function()
               { 
                  // websocket is closed.
                  alert("Bye bye!"); 
               };
            }
            
            else
            {
               // fuck your bush nigga
               alert("WebSocket NOT supported by your Browser!");
            }
         }
      </script>
		
   </head>
   <body>
   
      <div id="content">
				<h1 class="title">Princess Pi's Personal Websockets Interface!</h1>
				<p>Make friends with new new web interfaces! They always have so much to share!</p>
				 <dl>
					 <dt><label for="host">Host</label></dt>
					 <dd><input type="text" id="host"></dd>
					 <dt><label for="port">Port</label></dt>
					 <dd><input type="text" size="5" maxlength="6" id="port"></dd>
					 <dt><label for="dir">Directory (starting with /, blank for none)</label></dt>
					 <dd><input type="text" id="dir"></dd>
					 <dt><label for="firstmessage">Message to open with (blank for none)</label></dt>
					 <dd><textarea id="firstmessage"></textarea></dd>
					 <dt><input type="button" value="Say Hello!" onclick="asynchfriendship();"></dt?>
				</dl>
				
				<p id="out"></p>
      </div>
   </body>
</html>